<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ChangedAfterId StructType
 * @subpackage Structs
 */
class ChangedAfterId extends DateStrategySelection
{
    /**
     * The SinceId
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $SinceId;
    /**
     * Constructor method for ChangedAfterId
     * @uses ChangedAfterId::setSinceId()
     * @param int $sinceId
     */
    public function __construct($sinceId = null)
    {
        $this
            ->setSinceId($sinceId);
    }
    /**
     * Get SinceId value
     * @return int
     */
    public function getSinceId()
    {
        return $this->SinceId;
    }
    /**
     * Set SinceId value
     * @param int $sinceId
     * @return \StructType\ChangedAfterId
     */
    public function setSinceId($sinceId = null)
    {
        // validation for constraint: int
        if (!is_null($sinceId) && !(is_int($sinceId) || ctype_digit($sinceId))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($sinceId, true), gettype($sinceId)), __LINE__);
        }
        $this->SinceId = $sinceId;
        return $this;
    }
}
